Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ItemCertificate

    java.lang.Object
      oracle.ifs.fdk.ItemCertificate

All Implemented Interfaces:
  java.io.Serializable

    public class ItemCertificate

extends java.lang.Object
implements java.io.Serializable

Models an event that occurred; events can be audited and then retrieved by querying an audit history.

See Also:
  Serialized Form

Constructor Summary
`ItemCertificate()` Constructs an ItemCertificate.
`ItemCertificate(long targetId, boolean objectFreed, java.util.Date createDate, long creatorId, long domainId, boolean secured, java.util.Date freeDate, long deletorId, java.lang.String targetName, java.lang.String targetItemTypeName)` Constructs an ItemCertificate.

Method Summary
`java.util.Date` | `getCreateDate()` Returns the Date this ItemCertificate was created.
`long` | `getCreatorId()` Returns the ID of the User Item that performed the operation that resulted in creating this ItemCertificate.
`long` | `getDeletorId()` Returns the ID of the user who deleted the target Item.
`long` | `getDomainId()` Returns the ID of the Domain Item with which this ItemCertificate is associated.
`java.util.Date` | `getFreeDate()` If the Item has been freed, it returns the date of which it was freed; null otherwise.
`long` | `getTargetId()` Returns the target Item ID.
`java.lang.String` | `getTargetItemTypeName()` Returns the Item type of the target Item.
`java.lang.String` | `getTargetName()` Returns the name of the target Item.
`boolean` | `isObjectFreed()` Returns true if the Item is freed; false otherwise.
`boolean` | `isSecured()` Returns true if the ItemCertificate has been secured, which means that discovering the ItemCertificate requires appropriate permission.
`void` | `setCreateDate(java.util.Date createDate)` Always throws a RuntimeException.
`void` | `setCreatorId(long creatorId)` Always throws a RuntimeException.
`void` | `setDeletorId(long deletorId)` Always throws a RuntimeException.
`void` | `setDomainId(long domainId)` Always throws a RuntimeException.
`void` | `setFreeDate(java.util.Date freeDate)` Always throws a RuntimeException.
`void` | `setObjectFreed(boolean objectFreed)` Always throws a RuntimeException.
`void` | `setSecured(boolean secured)` Always throws a RuntimeException.
`void` | `setTargetId(long targetId)` Always throws a RuntimeException.
`void` | `setTargetItemTypeName(java.lang.String typeName)` Always throws a RuntimeException.
`void` | `setTargetName(java.lang.String targetName)` Always throws a RuntimeException.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemCertificate

    public ItemCertificate()

  Constructs an ItemCertificate.

### ItemCertificate

    public ItemCertificate(long targetId,
                           boolean objectFreed,
                           java.util.Date createDate,
                           long creatorId,
                           long domainId,
                           boolean secured,
                           java.util.Date freeDate,
                           long deletorId,
                           java.lang.String targetName,
                           java.lang.String targetItemTypeName)

  Constructs an ItemCertificate. Used internally.

  Parameters:
    `targetId` - target Item ID
    `objectFreed` - whether the Item has been freed
    `createDate` - create date of the traget Item
    `creatorId` - creator of the target Item
    `domainId` - domain if of the target Item
    `secured` - is the certificate secured
    `freeDate` - free date of the target Item
    `deletorId` - deletor of the target Item
    `targetName` - last known name of the target Item
    `targetItemTypeName` - name of the target Item's item type
  (Unpublished)

Method Detail

### getTargetId

    public long getTargetId()

  Description copied from class: `ItemCertificate`
  Returns the target Item ID.

  Returns:
    target Item ID

### isObjectFreed

    public boolean isObjectFreed()

  Description copied from class: `ItemCertificate`
  Returns true if the Item is freed; false otherwise.

  Returns:
    indication of Item having been freed or not

### getCreateDate

    public java.util.Date getCreateDate()

  Description copied from class: `ItemCertificate`
  Returns the Date this ItemCertificate was created.

  Returns:
    the create Date, or null if the create Date is not known

### getCreatorId

    public long getCreatorId()

  Description copied from class: `ItemCertificate`
  Returns the ID of the User Item that performed the operation that resulted in creating this ItemCertificate.

  Returns:
    the creator ID, or 0 if the creator ID is not known

### getDeletorId

    public long getDeletorId()

  Description copied from class: `ItemCertificate`
  Returns the ID of the user who deleted the target Item.

  Returns:
    ID of the deletor of the target Item, or 0 if the Item has not yet been deleted

### getDomainId

    public long getDomainId()

  Description copied from class: `ItemCertificate`
  Returns the ID of the Domain Item with which this ItemCertificate is associated.

  Returns:
    the Domain Item ID

### getFreeDate

    public java.util.Date getFreeDate()

  Description copied from class: `ItemCertificate`
  If the Item has been freed, it returns the date of which it was freed; null otherwise.

  Returns:
    the Date when the Item was freed, or null if the Item has not yet been freed

### isSecured

    public boolean isSecured()

  Description copied from class: `ItemCertificate`
  Returns true if the ItemCertificate has been secured, which means that discovering the ItemCertificate requires appropriate permission.

  Returns:
    an indication of whether the ItemCertificate has been secured

### getTargetItemTypeName

    public java.lang.String getTargetItemTypeName()

  Description copied from class: `ItemCertificate`
  Returns the Item type of the target Item.

  Returns:
    the Item type for the target Item, or null if the Item type name is not known

### getTargetName

    public java.lang.String getTargetName()

  Description copied from class: `ItemCertificate`
  Returns the name of the target Item.

  Returns:
    name of the target Item, or null if the name is not known

### setTargetId

    public void setTargetId(long targetId)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setObjectFreed

    public void setObjectFreed(boolean objectFreed)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setCreatorId

    public void setCreatorId(long creatorId)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setDeletorId

    public void setDeletorId(long deletorId)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setDomainId

    public void setDomainId(long domainId)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setFreeDate

    public void setFreeDate(java.util.Date freeDate)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setSecured

    public void setSecured(boolean secured)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setTargetItemTypeName

    public void setTargetItemTypeName(java.lang.String typeName)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### setTargetName

    public void setTargetName(java.lang.String targetName)

  Description copied from class: `ItemCertificate`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD